Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
cinnamon 2 and MDM Display Manager
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Palme
n00b
n00b


Joined: 31 May 2014
Posts: 62

PostPosted: Sat May 31, 2014 12:06 pm    Post subject: cinnamon 2 and MDM Display Manager Reply with quote

Hello
im new in Gentoo and i would like to use cinnamon 2 and MDM Display Manager in gentoo.
does anyone know why There's still no version of cinnamon 2 and any version of The MDM Display Manager up today in the stable tree
Back to top
View user's profile Send private message
niick
Tux's lil' helper
Tux's lil' helper


Joined: 09 Mar 2006
Posts: 88

PostPosted: Tue Jun 03, 2014 1:54 pm    Post subject: Reply with quote

Welcome to gentoo :)

The stable tree is quite conservative in gentoo, if you want a newer desktop it might be better to run unstable. Don't be put off by the name, it's stable, just new.

cinnamon-2.2.13 is in the unstable tree, and ebuilds do exist for mdm but you'll need to use an overlay.
_________________
"Give me control of a nation's money and I care not who makes the laws."
Mayer Amschel Rothschild
Back to top
View user's profile Send private message
Palme
n00b
n00b


Joined: 31 May 2014
Posts: 62

PostPosted: Wed Jun 04, 2014 9:13 am    Post subject: Reply with quote

thank you niick

Well!

what I've learned so far in gentoo is that you always have several options to choose from to implement or realize something you want it is great but it can also be a little stressful and opaque (at least for beginners like me) :oops:

switching to unstable is also an possibility to use witch i was also thinking about but as u sad i still need to install mdm over a local overlay with a e-build, which bring me to the next possibility

installing cinnamon 2 and MDM with e-build in a a local overlay, I have read a lot about it in the last few days and there are many function/ possibility that sounds very interesting to me
like 9999 ebuild (live ebuilds) and I've also found something to it but I am almost certain that these are outdated or am I wrong?

https://forums.gentoo.org/viewtopic-p-7306812.html#7306812
https://forums.gentoo.org/viewtopic-p-7124546.html#7124546

which method can all of you pros recommend? I personally think that using live ebuild makes everything uncomplicated, has Anyone a cinnamon-9999 ebuild and mdm-9999 to emerge the live version from git.

thank you
Back to top
View user's profile Send private message
niick
Tux's lil' helper
Tux's lil' helper


Joined: 09 Mar 2006
Posts: 88

PostPosted: Thu Jun 05, 2014 2:45 am    Post subject: Reply with quote

We do have lots of options in gentoo but you'll quickly get used to the gentoo way.

If you want to find a live ebuild for these it's worth searching the gentoo bugzilla and I recommend this portage search which covers many overlays as well.

The ebuilds you've found might well work, I haven't tried them, there's no harm in giving them a go. To do that you need to setup your own local overlay, please see this wiki page for how to do that. To add remote overlays layman is your friend.

If I was you I would go for the ones in the ~tree and look for live ebuilds later, it's probably the path of least resistance. You can try them by sticking with stable and unmasking them in;
Code:
/etc/portage/package.keywords

_________________
"Give me control of a nation's money and I care not who makes the laws."
Mayer Amschel Rothschild
Back to top
View user's profile Send private message
Palme
n00b
n00b


Joined: 31 May 2014
Posts: 62

PostPosted: Sun Jun 08, 2014 11:57 am    Post subject: Reply with quote

ok thank you
Back to top
View user's profile Send private message
Palme
n00b
n00b


Joined: 31 May 2014
Posts: 62

PostPosted: Sun Jun 08, 2014 4:33 pm    Post subject: Reply with quote

I just get started with the installation of cinnamon but i I get these messages
Code:

These are the packages that would be merged, in order:
Calculating dependencies... done!

Nothing to merge; quitting.

localhost ~ # clear
localhost ~ #  emerge -apv =gnome-extra/cinnamon-2.2.13

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] media-libs/libogg-1.3.1  USE="-static-libs" ABI_X86="(64) (-32) (-x32)" 398 kB
[ebuild  N     ] dev-libs/libyaml-0.1.6  USE="-doc -examples -static-libs {-test}" 492 kB
[ebuild  N    ~] gnome-extra/cinnamon-translations-2.2.2  LINGUAS="-af -am -an -ar -as -ast -az -be -be@latin -bg -bn -bn_IN -br -bs -ca -ca@valencia -crh -cs -csb -cy -da -de -dz -el -en@shaw -en_AU -en_CA -en_GB -eo -es -es_AR -et -eu -fa -fi -fil -fo -fr -fr_CA -ga -gd -gl -gu -he -hi -hr -hu -hy -ia -id -is -it -ja -jv -ka -kk -km -kn -ko -ksw -ku -ky -la -li -lo -lt -lv -mai -mg -mk -ml -mn -mr -ms -my -nb -nds -ne -nl -nn -nso -oc -om -or -pa -pl -ps -pt -pt_BR -ro -ru -rue -rw -shn -si -sk -sl -so -sq -sr -sr@ijekavianlatin -sr@latin -sv -ta -te -tg -th -tlh -tpi -tr -ts -ug -uk -ur -uz -uz@cyrillic -vi -wa -xh -yi -zh_CN -zh_HK -zh_TW -zu" 9,796 kB
[ebuild  N     ] media-libs/webrtc-audio-processing-0.1-r1  USE="-static-libs" ABI_X86="(64) (-32) (-x32)" 384 kB
[ebuild  N     ] net-libs/libasyncns-0.8-r3  USE="-debug -doc" ABI_X86="(64) -32 (-x32)" 334 kB
[ebuild  N     ] dev-libs/libatomic_ops-7.2d  1,234 kB
[ebuild  N     ] net-wireless/wireless-regdb-20130213  13 kB
[ebuild  N     ] sys-libs/libseccomp-2.1.1  USE="-static-libs" 111 kB
[ebuild  N     ] gnome-base/gnome-common-3.10.0:3  149 kB
[ebuild  N     ] net-misc/mobile-broadband-provider-info-20120614  72 kB
[ebuild  N     ] app-text/docbook-dsssl-stylesheets-1.79  272 kB
[ebuild  N     ] dev-libs/vala-common-0.22.1  2,628 kB
[ebuild  N     ] dev-libs/libnl-3.2.23:3  USE="-python -static-libs -utils" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2" 749 kB
[ebuild  N     ] app-text/docbook-sgml-dtd-3.0-r3:3.0  43 kB
[ebuild  N     ] app-text/docbook-sgml-dtd-4.1-r3:4.1  56 kB
[ebuild  N     ] dev-libs/libksba-1.3.0  USE="-static-libs" 611 kB
[ebuild  N     ] dev-libs/libassuan-2.1.1  USE="-static-libs" 526 kB
[ebuild  N     ] app-text/docbook-sgml-dtd-3.1-r3:3.1  55 kB
[ebuild  N     ] app-text/docbook-sgml-dtd-4.0-r3:4.0  55 kB
[ebuild  N     ] app-text/docbook-xml-simple-dtd-4.1.2.4-r2  35 kB
[ebuild  N     ] sys-apps/paxctl-0.7-r2  8 kB
[ebuild  N     ] app-dicts/myspell-en-20081002  6,881 kB
[ebuild  N     ] x11-themes/hicolor-icon-theme-0.12  38 kB
[ebuild  N     ] dev-libs/pth-2.0.7-r3  USE="-debug -static-libs" 638 kB
[ebuild  N     ] x11-libs/gnome-pty-helper-0.34.9  USE="hardened" 974 kB
[ebuild  N     ] net-libs/libqmi-1.8.0  USE="-doc -static-libs" 645 kB
[ebuild  N     ] media-libs/sbc-1.2  USE="-static-libs" ABI_X86="(64) -32 (-x32)" 241 kB
[ebuild  N     ] dev-libs/libtasn1-2.14  USE="-doc -static-libs" 1,931 kB
[ebuild  N     ] dev-perl/XML-NamespaceSupport-1.110.0  51 kB
[ebuild  N     ] dev-libs/libical-0.48-r2  USE="-examples -static-libs" 1,147 kB
[ebuild  N     ] dev-perl/XML-SAX-Base-1.80.0  28 kB
[ebuild  N     ] perl-core/Storable-2.390.0  178 kB
[ebuild  N     ] dev-lang/orc-0.4.18  USE="-examples -static-libs" ABI_X86="(64) (-32) (-x32)" 716 kB
[ebuild  N     ] app-crypt/p11-kit-0.20.2  USE="asn1 trust -debug" 958 kB
[ebuild  N     ] virtual/perl-Storable-2.390.0  0 kB
[ebuild  N     ] dev-libs/icu-52.1:0/52  USE="-debug -doc -examples -static-libs" ABI_X86="(64) (-32) (-x32)" 23,316 kB
[ebuild  N     ] media-libs/alsa-lib-1.0.27.2  USE="-alisp -debug -doc -python" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" 886 kB
[ebuild  N     ] x11-proto/xf86miscproto-0.9.3  83 kB
[ebuild  N     ] media-libs/libvorbis-1.3.4  USE="-static-libs" ABI_X86="(64) (-32) (-x32)" 1,066 kB
[ebuild  N     ] x11-libs/libXres-1.0.7  USE="-static-libs" 277 kB
[ebuild  N     ] sys-libs/libcap-ng-0.7.3  USE="-python -static-libs" 384 kB
[ebuild  N     ] x11-libs/libXScrnSaver-1.2.2-r1  USE="-static-libs" ABI_X86="(64) (-32) (-x32)" 284 kB
[ebuild  N     ] media-libs/speex-1.2_rc1  USE="ogg sse -static-libs" 1,037 kB
[ebuild  N     ] dev-libs/json-c-0.11-r1  USE="-doc -static-libs" ABI_X86="(64) (-32) (-x32)" 545 kB
[ebuild  N     ] dev-libs/nettle-2.7.1:0/4  USE="gmp -doc (-neon) -static-libs {-test}" 1,523 kB
[ebuild  N     ] dev-util/ragel-6.7-r1  USE="-vim-syntax" 1,156 kB
[ebuild  N     ] x11-libs/libXxf86misc-1.0.3  USE="-static-libs" 250 kB
[ebuild  N     ] x11-libs/startup-notification-0.12  USE="-static-libs" 347 kB
[ebuild  N     ] net-mail/mailbase-1.1  USE="pam" 0 kB
[ebuild  N     ] app-admin/eselect-lib-bin-symlink-0.1.1  45 kB
[ebuild  N     ] app-admin/eselect-ruby-20100603  2 kB
[ebuild  N     ] virtual/awk-1  0 kB
[ebuild  N     ] app-admin/eselect-notify-send-0.1  0 kB
[ebuild  N     ] dev-libs/nss-3.16  USE="cacert nss-pem -utils" 6,282 kB
[ebuild  N     ] dev-lang/swig-2.0.9  USE="pcre -ccache -doc" 5,183 kB
[ebuild  N     ] app-admin/eselect-pinentry-0.4  0 kB
[ebuild  N     ] app-admin/eselect-cdparanoia-0.1  0 kB
[ebuild   R    ] media-libs/harfbuzz-0.9.23:0/0.9.18  USE="cairo glib graphite icu* truetype -introspection -static-libs" 0 kB
[ebuild  N     ] media-libs/freeglut-2.8.1-r1  USE="-debug -static-libs" ABI_X86="(64) (-32) (-x32)" 982 kB
[ebuild  N     ] dev-python/pygobject-2.28.6-r55:2  USE="-examples -libffi {-test}" PYTHON_TARGETS="python2_7 (-python2_6)" 730 kB
[ebuild  N     ] dev-python/pexpect-2.4-r1  USE="-doc -examples" PYTHON_TARGETS="python2_7 (-pypy) (-python2_6)" 111 kB
[ebuild  N     ] dev-python/pypam-0.5.0-r2  PYTHON_TARGETS="python2_7 (-python2_6)" 103 kB
[ebuild  NS    ] dev-lang/spidermonkey-1.8.5-r4:0/mozjs185 [17.0.0-r3:17] USE="-debug -minimal -static-libs {-test}" 6,021 kB
[ebuild  N     ] dev-libs/libgee-0.12.1:0.8  USE="introspection" 621 kB
[ebuild  N     ] dev-python/setuptools-2.2  PYTHON_TARGETS="python2_7 python3_3 (-pypy) (-python2_6) -python3_2 (-python3_4)" 769 kB
[ebuild  N    ~] dev-python/polib-1.0.4  USE="-doc" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2 -python3_4" 149 kB
[ebuild  N     ] dev-python/pycurl-7.19.0-r3  USE="ssl -examples" CURL_SSL="openssl -gnutls -nss" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2" 70 kB
[ebuild  N     ] virtual/python-argparse-1  PYTHON_TARGETS="python2_7 python3_3 (-pypy) (-python2_6) -python3_2 (-python3_4)" 0 kB
[ebuild  N     ] dev-libs/libcroco-0.6.8:0.6  USE="{-test}" 455 kB
[ebuild  N     ] dev-util/itstool-1.2.0-r1  PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)" 81 kB
[ebuild  N     ] app-text/scrollkeeper-dtd-1.0:1.0  11 kB
[ebuild  N     ] dev-perl/XML-SAX-0.990.0  46 kB
[ebuild  N     ] dev-python/pyinotify-0.9.4-r1  USE="-examples" PYTHON_TARGETS="python2_7 python3_3 (-pypy) (-python2_6) -python3_2" 59 kB
[ebuild  N     ] x11-libs/xpyb-1.3.1-r3  USE="(-selinux) -static-libs" PYTHON_TARGETS="python2_7 (-python2_6)" 268 kB
[ebuild  N     ] dev-python/numpy-1.8.0-r1  USE="-doc -lapack {-test}" PYTHON_TARGETS="python2_7 python3_3 (-python2_6) -python3_2 (-python3_4)" 3,692 kB
[ebuild  N     ] app-text/docbook-xml-simple-dtd-1.0-r1:1.0  31 kB
[ebuild  N     ] dev-python/m2crypto-0.21.1-r1  USE="-doc -examples" PYTHON_TARGETS="python2_7 (-python2_6)" 404 kB
[ebuild  N     ] dev-python/pillow-2.4.0  USE="jpeg lcms tiff truetype zlib -doc -examples -jpeg2k -scanner {-test} -tk -webp" PYTHON_TARGETS="python2_7 python3_3 (-pypy) -python3_2 (-python3_4)" 6,368 kB
[ebuild  N     ] gnome-base/librsvg-2.40.2:2  USE="introspection -tools -vala" 495 kB
[ebuild  N     ] app-text/iso-codes-3.51  3,542 kB
[ebuild  N     ] dev-python/pycairo-1.10.0-r4  USE="svg xcb -doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_3 -python3_2 (-python3_4)" 634 kB
[ebuild  N     ] dev-libs/json-glib-0.16.2  USE="introspection -debug" 495 kB
[ebuild  N     ] media-libs/gstreamer-1.2.3:1.0  USE="introspection nls orc {-test}" 3,145 kB
[ebuild  N     ] media-libs/cogl-1.16.2:1.0/15  USE="introspection opengl pango -debug -examples -gles2 (-gstreamer) {-test}" 1,609 kB
[ebuild  N     ] media-libs/libexif-0.6.21  USE="nls -doc -static-libs" 1,337 kB
[ebuild  N     ] net-libs/gnutls-2.12.23-r4  USE="bindist cxx nettle nls zlib -doc -examples -guile -lzo -pkcs11 -static-libs {-test}" 7,109 kB
[ebuild  N     ] dev-python/lxml-3.3.5  USE="threads -beautifulsoup3 -doc -examples" PYTHON_TARGETS="python2_7 python3_3 -python3_2 (-python3_4)" 3,387 kB
[ebuild  N     ] dev-perl/XML-LibXML-2.1.400  USE="{-test}" 442 kB
[ebuild  N     ] media-libs/flac-1.3.0  USE="cxx ogg sse -3dnow (-altivec) -debug -static-libs" ABI_X86="(64) (-32) (-x32)" 1,059 kB
[ebuild  N     ] app-text/hunspell-1.3.2-r3  USE="ncurses nls readline -static-libs" LINGUAS="-af -bg -ca -cs -cy -da -de -el -en -eo -es -et -fo -fr -ga -gl -he -hr -hu -ia -id -is -it -km -ku -lt -lv -mk -ms -nb -nl -nn -pl -pt -pt_BR -ro -ru -sk -sl -sq -sv -sw -tn -uk -zu" 954 kB
[ebuild  N     ] dev-lang/vala-0.22.1:0.22  USE="vapigen {-test}" 0 kB
[ebuild  N     ] dev-libs/libcdio-0.92:0/15  USE="cxx -cddb -minimal -static-libs {-test}" ABI_X86="(64) (-32) (-x32)" 2,647 kB
[ebuild  N     ] virtual/python-imaging-2  USE="jpeg -tk" PYTHON_TARGETS="python2_7 python3_3 (-pypy) (-python2_6) -python3_2 (-python3_4)" 0 kB
[ebuild  N     ] gnome-base/gsettings-desktop-schemas-3.10.1  USE="introspection" 458 kB
[ebuild  N     ] dev-python/pygobject-3.10.2:3  USE="cairo threads -examples {-test}" PYTHON_TARGETS="python2_7 python3_3 -python3_2" 657 kB
[ebuild  N     ] x11-libs/libxklavier-5.2.1  USE="introspection -doc" 306 kB
[ebuild  N     ] media-libs/gst-plugins-base-1.2.3:1.0  USE="X alsa introspection nls ogg orc pango vorbis -ivorbis -theora" 2,481 kB
[ebuild  N    ~] gnome-extra/cinnamon-menus-2.2.0  USE="introspection -debug" 530 kB
[ebuild  N     ] gnome-base/gnome-menus-3.10.1:3  USE="introspection -debug {-test}" 414 kB
[ebuild  N     ] gnome-extra/yelp-xsl-3.10.1  582 kB
[ebuild  N     ] dev-perl/XML-Simple-2.200.0  75 kB
[ebuild  N     ] gnome-base/libgtop-2.28.5:2  USE="introspection -debug" 640 kB
[ebuild  N     ] media-libs/libsndfile-1.0.25-r1  USE="alsa -minimal -sqlite -static-libs {-test}" ABI_X86="(64) (-32) (-x32)" 1,036 kB
[ebuild  N     ] app-text/enchant-1.6.0  USE="hunspell -aspell -static-libs -zemberek" 593 kB
[ebuild  N     ] x11-themes/sound-theme-freedesktop-0.8  468 kB
[ebuild  N     ] dev-libs/libcdio-paranoia-0.90_p1-r1  USE="cxx -static-libs {-test}" ABI_X86="(64) (-32) (-x32)" 620 kB
[ebuild  N     ] app-text/yelp-tools-3.10.0  194 kB
[ebuild  N     ] x11-misc/icon-naming-utils-0.8.90  69 kB
[ebuild  NS    ] sys-devel/automake-1.12.6:1.12 [1.13.4:1.13] 1,368 kB
[ebuild  N     ] x11-themes/gnome-icon-theme-symbolic-3.10.1  221 kB
[ebuild  N     ] dev-libs/cyrus-sasl-2.1.26-r3:2  USE="berkdb gdbm pam ssl -authdaemond -java -kerberos -ldapdb -mysql -openldap -postgres -sample -sqlite -srp -static-libs -urandom" 5,098 kB
[ebuild  N     ] x11-themes/gnome-icon-theme-3.10.0  USE="branding" 15,766 kB
[ebuild  N     ] virtual/freedesktop-icon-theme-0  0 kB
[ebuild  N     ] x11-libs/libnotify-0.7.5-r1  USE="introspection -doc {-test}" 270 kB
[ebuild  N     ] dev-lang/ruby-2.0.0_p353:2.0  USE="berkdb gdbm ipv6 ncurses rdoc readline ssl -debug -doc -examples -rubytests -socks5 -tk -xemacs" 10,481 kB
[ebuild  N     ] dev-lang/ruby-1.9.3_p484:1.9  USE="berkdb gdbm ipv6 ncurses rdoc readline ssl yaml -debug -doc -examples -rubytests -socks5 -tk -xemacs" 9,809 kB
[ebuild  N     ] dev-ruby/rubygems-2.0.3  USE="-server {-test}" RUBY_TARGETS="ruby19 ruby20 -jruby (-ruby18)" 327 kB
[ebuild  N     ] virtual/rubygems-6:ruby20  RUBY_TARGETS="(ruby20)" 0 kB
[ebuild  N     ] virtual/rubygems-4:ruby19  RUBY_TARGETS="(ruby19)" 0 kB
[ebuild  N     ] dev-ruby/rake-0.9.6  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 -jruby (-ruby18)" 121 kB
[ebuild  N     ] dev-ruby/json-1.8.0  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 -jruby" 146 kB
[ebuild  N     ] dev-ruby/racc-1.4.9  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 -jruby" 107 kB
[ebuild  N     ] dev-ruby/rdoc-4.0.1-r1  USE="-doc {-test}" RUBY_TARGETS="ruby19 ruby20 -jruby (-ruby18)" 457 kB
[ebuild  N     ] app-text/scrollkeeper-9999-r1  0 kB
[ebuild  N     ] app-text/rarian-0.8.1-r2  USE="-static-libs" 449 kB
[ebuild  N     ] dev-python/dbus-python-1.2.0  USE="-doc -examples {-test}" PYTHON_TARGETS="python2_7 python3_3 -python3_2" 589 kB
[ebuild  NS    ] app-text/docbook-xml-dtd-4.3-r1:4.3 [4.1.2-r6:4.1.2, 4.2-r2:4.2] 82 kB
[ebuild  N    ~] gnome-extra/cjs-2.2.0  USE="-examples {-test}" 348 kB
[ebuild  N     ] dev-util/gtk-doc-1.20  USE="-debug -doc -emacs -highlight {-test} -vim" PYTHON_SINGLE_TARGET="python2_7 (-python2_6)" PYTHON_TARGETS="python2_7 (-python2_6)" 629 kB
[ebuild  N     ] dev-libs/libatasmart-0.19-r1  USE="-static-libs" 252 kB
[ebuild  N     ] sys-apps/gptfdisk-0.8.8  USE="icu ncurses -static" 184 kB
[ebuild  N     ] sys-block/parted-3.1-r1  USE="debug nls readline -device-mapper (-selinux) -static-libs {-test}" 1,489 kB
[ebuild  N     ] dev-libs/libgusb-0.1.6  USE="introspection -static-libs -vala" 257 kB
[ebuild  N     ] app-text/docbook-sgml-utils-0.6.14-r1  USE="-jadetex" 123 kB
[ebuild  N     ] dev-python/pyatspi-2.10.0  PYTHON_TARGETS="python2_7 python3_3 -python3_2" 283 kB
[ebuild  N     ] net-wireless/crda-1.1.2-r3  22 kB
[ebuild  NS    ] app-text/docbook-xml-dtd-4.4-r2:4.4 [4.1.2-r6:4.1.2, 4.2-r2:4.2] 94 kB
[ebuild  N     ] app-text/gnome-doc-utils-0.20.10-r1  PYTHON_TARGETS="python2_7 (-python2_6)" 515 kB
[ebuild  N     ] media-libs/giflib-4.1.6-r2  USE="X -rle -static-libs" 495 kB
[ebuild  N     ] media-libs/libwebp-0.4.0:0/5  USE="gif jpeg opengl png tiff -experimental -static-libs -swap-16bit-csp" ABI_X86="(64) (-32) (-x32)" 868 kB
[ebuild  N     ] virtual/eject-0  0 kB
[ebuild  N     ] dev-libs/libusb-compat-0.1.5-r2  USE="-debug -examples -static-libs" ABI_X86="(64) (-32) (-x32)" 271 kB
[ebuild  NS    ] virtual/libusb-0-r1:0 [1-r1:1] ABI_X86="(64) (-32) (-x32)" 0 kB
[ebuild  N     ] media-libs/libcanberra-0.30-r1  USE="alsa gtk gtk3 sound udev -gnome -gstreamer -oss -pulseaudio -tdb" 312 kB
[ebuild  N     ] x11-misc/notification-daemon-0.7.6  273 kB
[ebuild  N     ] virtual/notification-daemon-0  USE="-gnome" 0 kB
[ebuild  N     ] net-wireless/bluez-5.18:0/3  USE="cups obex readline udev -debug (-selinux) -systemd {-test}" 1,278 kB
[ebuild  N    ~] gnome-extra/cinnamon-desktop-2.2.2:0/4  USE="introspection -debug" 543 kB
[ebuild  N     ] gnome-base/libgnomekbd-3.6.0  USE="introspection {-test}" 365 kB
[ebuild  N     ] media-libs/clutter-1.16.4-r1:1.0  USE="gtk introspection -debug -doc {-test}" 5,102 kB
[ebuild  N     ] gnome-base/dconf-0.18.0  USE="X {-test}" 370 kB
[ebuild  N     ] gnome-base/gnome-desktop-3.10.2:3/8  USE="introspection -debug" 1,038 kB
[ebuild  N     ] dev-python/pycups-1.9.63  USE="-doc -examples" PYTHON_TARGETS="python2_7 (-pypy) (-python2_6)" 52 kB
[ebuild  N     ] x11-libs/libwnck-3.4.7:3  USE="introspection startup-notification -tools" 649 kB
[ebuild  N     ] gnome-base/libglade-2.6.4-r1:2.0  USE="-doc -static-libs {-test}" PYTHON_SINGLE_TARGET="python2_7 (-pypy)" PYTHON_TARGETS="python2_7 (-pypy)" 348 kB
[ebuild  N     ] x11-libs/vte-0.34.9:2.90  USE="introspection -debug -glade" 0 kB
[ebuild  N     ] net-dialup/ppp-2.4.5-r3  USE="gtk ipv6 pam -activefilter -atm -dhcp -eap-tls -radius" 738 kB
[ebuild  N     ] app-misc/geoclue-0.12.99  USE="gtk -connman -geonames -gps -gsmloc -hostip -manual -networkmanager -nominatim -plazes -skyhook -static-libs -yahoo-geo" 594 kB
[ebuild  N     ] app-accessibility/caribou-0.4.13  PYTHON_TARGETS="python2_7" 396 kB
[ebuild  N     ] dev-libs/openobex-1.5  USE="bluetooth usb -debug -irda -syslog" 392 kB
[ebuild  N     ] net-wireless/gnome-bluetooth-3.10.0:2/12  USE="introspection -debug" 1,297 kB
[ebuild  N     ] dev-python/pygtk-2.24.0-r4:2  USE="-doc -examples {-test}" PYTHON_TARGETS="python2_7 (-python2_6)" 2,306 kB
[ebuild  N     ] app-mobilephone/obex-data-server-0.4.6  USE="gtk usb -debug -imagemagick" 195 kB
[ebuild  N     ] dev-python/gnome-python-base-2.28.1:2  550 kB
[ebuild  N     ] dev-qt/qtsvg-4.8.5:4  USE="accessibility exceptions (-aqua) -debug -pch" 0 kB
[ebuild  N     ] app-crypt/pinentry-0.8.2  USE="gtk ncurses qt4 -caps -static" 419 kB
[ebuild  N     ] app-crypt/gnupg-2.0.22  USE="bzip2 ldap nls readline usb -adns -doc -mta (-selinux) -smartcard -static" 4,177 kB
[ebuild  N     ] net-wireless/wpa_supplicant-2.0-r2  USE="dbus qt4 readline ssl -ap -eap-sim -fasteap -gnutls -p2p (-ps3) (-selinux) -smartcard -wimax -wps" 1,997 kB
[ebuild  N     ] net-libs/libproxy-0.4.11-r1  USE="-gnome -kde -mono -networkmanager -perl -python -spidermonkey {-test} -webkit" PYTHON_TARGETS="python2_7 (-python2_6)" 92 kB
[ebuild  N     ] app-crypt/gcr-3.10.1:0/1  USE="gtk introspection -debug {-test} -vala" 1,370 kB
[ebuild  N     ] net-libs/glib-networking-2.38.2  USE="gnome libproxy ssl -smartcard {-test}" 355 kB
[ebuild  N     ] net-libs/libsoup-2.44.2:2.4  USE="introspection ssl -debug -samba {-test}" 732 kB
[ebuild  N     ] net-libs/libsoup-gnome-2.44.2:2.4  USE="introspection -debug" 0 kB
[ebuild  N     ] dev-libs/libgweather-3.10.2:2/3-6  USE="introspection -glade -vala" 3,878 kB
[ebuild  N     ] net-libs/webkit-gtk-2.2.6:3/29  USE="egl geoloc gstreamer introspection jit opengl spell webgl (-aqua) -coverage -debug -gles2 -libsecret {-test}" 9,180 kB
[ebuild  N     ] gnome-extra/zenity-3.8.0-r2  USE="libnotify webkit -debug {-test}" 3,566 kB
[ebuild  N    ~] x11-wm/muffin-2.2.3  USE="introspection {-test} -xinerama" 2,642 kB
[ebuild  N     ] media-sound/pulseaudio-5.0-r1  USE="X alsa asyncns bluetooth caps dbus gdbm glib gtk ipv6 orc qt4 ssl tcpd udev webrtc-aec -avahi -doc -equalizer -gnome -jack -libsamplerate -lirc (-neon) (-oss) -realtime (-system-wide) -systemd {-test} -xen" ABI_X86="(64) (-32) (-x32)" 1,422 kB
[ebuild  N     ] media-plugins/alsa-plugins-1.0.27-r1  USE="pulseaudio -debug -ffmpeg -jack -libsamplerate -speex" 356 kB
[ebuild  N     ] sys-apps/systemd-212-r5:0/2  USE="acl filecaps firmware-loader gudev introspection kmod pam policykit seccomp -audit -cryptsetup -doc -gcrypt -http (-kdbus) -lzma -python -qrcode (-selinux) (-ssl) {-test} -vanilla -xattr" ABI_X86="(64) (-32) (-x32)" PYTHON_SINGLE_TARGET="python2_7 -python3_2 -python3_3" PYTHON_TARGETS="python2_7 python3_3 -python3_2" 0 kB
[ebuild  N     ] sys-apps/gentoo-systemd-integration-4  52 kB
[ebuild  N     ] virtual/logger-0  0 kB
[ebuild  N     ] net-libs/telepathy-glib-0.24.0  USE="introspection vala -debug {-test}" PYTHON_TARGETS="python2_7 (-python2_6)" 3,800 kB
[ebuild  N     ] gnome-base/gnome-keyring-3.10.1  USE="caps filecaps pam -debug (-selinux) {-test}" 1,116 kB
[ebuild  N     ] gnome-base/libgnome-keyring-3.10.1  USE="introspection -debug {-test} -vala" 419 kB
[ebuild  N     ] app-crypt/libsecret-0.16  USE="crypt introspection -debug {-test} -vala" 489 kB
[ebuild  N     ] sys-power/upower-0.9.23-r3  USE="introspection -doc -ios" 416 kB
[ebuild  N     ] net-im/telepathy-mission-control-5.14.1  USE="upower -connman -debug -gnome-keyring -networkmanager" 1,003 kB
[ebuild  N     ] gnome-base/gconf-3.2.6-r2:2  USE="introspection ldap policykit -debug" PYTHON_TARGETS="python2_7 (-python2_6)" 1,524 kB
[ebuild  N     ] x11-misc/colord-1.0.3:0/1  USE="gusb introspection udev -examples -extra-print-profiles -scanner -systemd -vala" 1,058 kB
[ebuild  N     ] net-misc/modemmanager-1.2.0-r1:0/1  USE="introspection policykit qmi -mbim -qmi-newest -vala" 1,277 kB
[ebuild  N    ~] gnome-extra/cinnamon-session-2.2.1  USE="ipv6 -debug -doc -gconf -systemd" 881 kB
[ebuild  N     ] sys-apps/accountsservice-0.6.37  USE="introspection -doc (-selinux) -systemd" 355 kB
[ebuild  N    ~] gnome-extra/cinnamon-screensaver-2.2.3  USE="pam -debug -doc -systemd" 139 kB
[ebuild  N     ] sys-fs/udisks-2.1.3:2  USE="gptfdisk introspection -cryptsetup -debug (-selinux) -systemd" 889 kB
[ebuild  N     ] net-print/cups-pk-helper-0.2.4-r1  147 kB
[ebuild  N     ] app-admin/system-config-printer-common-1.4.3  USE="policykit -doc" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" 872 kB
[ebuild  N     ] net-misc/networkmanager-0.9.8.8  USE="bluetooth consolekit dhcpcd introspection modemmanager nss ppp wext wifi -avahi -connection-sharing -dhclient -gnutls -resolvconf -systemd {-test} -vala" 1,980 kB
[ebuild  N    ~] gnome-extra/cinnamon-settings-daemon-2.2.3  USE="colord cups -debug -smartcard -systemd" INPUT_DEVICES="-wacom" 2,924 kB
[ebuild  N     ] dev-python/gconf-python-2.28.1:2  USE="-examples" 0 kB
[ebuild  N     ] gnome-base/gnome-panel-3.8.0-r1  USE="introspection -eds -networkmanager" 2,339 kB
[ebuild  N     ] app-admin/system-config-printer-gnome-1.4.3-r1  USE="-gnome-keyring" LINGUAS="-ar -as -bg -bn -bn_IN -br -bs -ca -cs -cy -da -de -el -en_GB -es -et -fa -fi -fr -gu -he -hi -hr -hu -hy -id -is -it -ja -ka -kn -ko -lo -lv -mai -mk -ml -mr -ms -nb -nl -nn -or -pa -pl -pt -pt_BR -ro -ru -si -sk -sl -sr -sr@latin -sv -ta -te -th -tr -uk -vi -zh_CN -zh_TW" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" 0 kB
[ebuild  N     ] x11-libs/colord-gtk-0.1.25:0/1  USE="introspection -doc -vala" 265 kB
[ebuild  N     ] gnome-extra/nm-applet-0.9.8.8-r2  USE="bluetooth introspection -gconf -modemmanager" 1,195 kB
[ebuild  N     ] gnome-extra/gnome-color-manager-3.10.1  USE="-clutter (-packagekit) -raw" 2,551 kB
[ebuild  N     ] mail-mta/nullmailer-1.13-r4  USE="ssl" 209 kB
[ebuild  N    ~] gnome-extra/cinnamon-control-center-2.2.9  USE="colord cups -debug -socialweb" INPUT_DEVICES="-wacom" 4,739 kB
[ebuild  N     ] gnome-base/gvfs-1.18.3-r1  USE="bluetooth cdda gtk http udev udisks -afp -archive -avahi -bluray -fuse -gnome-online-accounts -gphoto2 -ios -libsecret -mtp -samba -systemd {-test}" 1,502 kB
[ebuild  N     ] virtual/mta-1  0 kB
[ebuild  N     ] gnome-extra/nemo-1.8.5  USE="exif introspection (-packagekit) {-test} -tracker -xmp" 3,717 kB
[ebuild  N     ] app-admin/sudo-1.8.6_p7  USE="ldap nls pam sendmail -offensive (-selinux) -skey" 1,815 kB
[ebuild  N     ] x11-libs/libgksu-2.0.12-r1:2  USE="nls -doc -static-libs" 467 kB
[ebuild  N     ] x11-libs/gksu-2.0.2-r1  USE="-doc -gnome" 458 kB
[ebuild  N    ~] gnome-extra/cinnamon-2.2.13  USE="l10n networkmanager" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7" 2,595 kB
[blocks B      ] sys-apps/systemd ("sys-apps/systemd" is blocking sys-fs/udev-212-r1)
[blocks B      ] sys-apps/gentoo-systemd-integration ("sys-apps/gentoo-systemd-integration" is blocking sys-fs/udev-212-r1)
[blocks B      ] sys-fs/udev ("sys-fs/udev" is blocking sys-apps/systemd-212-r5, sys-apps/gentoo-systemd-integration-4)

Total: 214 packages (208 new, 5 in new slots, 1 reinstall), Size of downloads: 271,265 kB
Conflict: 3 blocks (3 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-fs/udev-212-r1::gentoo, installed) pulled in by
    >=sys-fs/udev-208-r1:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,gudev,introspection?,static-libs?] (>=sys-fs/udev-208-r1:0/0[abi_x86_64(-),gudev,introspection]) required by (virtual/libgudev-208::gentoo, installed)
    >=sys-fs/udev-208 required by (virtual/udev-208-r2::gentoo, installed)
    >=sys-fs/udev-208:0/0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,static-libs?] (>=sys-fs/udev-208:0/0[abi_x86_64(-)]) required by (virtual/libudev-208::gentoo, installed)

  (sys-apps/systemd-212-r5::gentoo, ebuild scheduled for merge) pulled in by
    >=sys-apps/systemd-200 required by (sys-power/upower-0.9.23-r3::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-207 required by (sys-apps/gentoo-systemd-integration-4::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-31 required by (gnome-extra/cinnamon-control-center-2.2.9::gentoo, ebuild scheduled for merge)
    >=sys-apps/systemd-38 required by (virtual/logger-0::gentoo, ebuild scheduled for merge)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


The following keyword changes are necessary to proceed:
 (see "package.accept_keywords" in the portage(5) man page for more details)
# required by gnome-extra/cinnamon-2.2.13
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=gnome-extra/cjs-2.2.0 ~amd64
# required by gnome-extra/cinnamon-control-center-2.2.9
# required by gnome-extra/cinnamon-2.2.13
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=gnome-extra/cinnamon-menus-2.2.0 ~amd64
# required by gnome-extra/cinnamon-2.2.13[l10n]
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=gnome-extra/cinnamon-translations-2.2.2 ~amd64
# required by gnome-extra/cinnamon-2.2.13
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=dev-python/polib-1.0.4 ~amd64
# required by gnome-extra/cinnamon-2.2.13
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=x11-wm/muffin-2.2.3 ~amd64
# required by gnome-extra/cinnamon-settings-daemon-2.2.3
# required by gnome-extra/cinnamon-2.2.13
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=gnome-extra/cinnamon-desktop-2.2.2 ~amd64
# required by gnome-extra/cinnamon-2.2.13
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=gnome-extra/cinnamon-session-2.2.1 ~amd64
# required by gnome-extra/cinnamon-2.2.13
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=gnome-extra/cinnamon-screensaver-2.2.3 ~amd64
# required by gnome-extra/cinnamon-2.2.13
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=gnome-extra/cinnamon-control-center-2.2.9 ~amd64
# required by gnome-extra/cinnamon-control-center-2.2.9
# required by gnome-extra/cinnamon-2.2.13
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=gnome-extra/cinnamon-settings-daemon-2.2.3 ~amd64
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=gnome-extra/cinnamon-2.2.13 ~amd64

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by media-sound/pulseaudio-5.0-r1[alsa]
# required by gnome-extra/cinnamon-2.2.13
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=media-plugins/alsa-plugins-1.0.27-r1 pulseaudio
# required by net-libs/webkit-gtk-2.2.6
# required by gnome-extra/zenity-3.8.0-r2[webkit]
# required by x11-wm/muffin-2.2.3
# required by gnome-extra/cinnamon-2.2.13
# required by =gnome-extra/cinnamon-2.2.13 (argument)
=media-libs/harfbuzz-0.9.23 icu

how can i fix it im still a [glep=]Newbe in Gentoo :oops:

//please can a modmerge the posting i was not able to edit my post.
Back to top
View user's profile Send private message
lcronos
n00b
n00b


Joined: 09 Jun 2014
Posts: 69

PostPosted: Thu Jun 12, 2014 3:16 pm    Post subject: Reply with quote

I'd try running the same command, but with --autounmask-write followed by etc-update
If that doesn't work, I'm not entirely sure. I'm having a similar issue myself trying to get the old version of Gnome installed, still in portage but dependencies seem messed up....
Try merging the packages at the end manually as well.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum